Bug 453302 - Yum update chokes on tcl
Yum update chokes on tcl
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tcl (Show other bugs)
9
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
: 453240 453310 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-29 05:36 EDT by Bengt-Erik Soderstrom
Modified: 2008-06-30 04:15 EDT (History)
3 users (show)

See Also:
Fixed In Version: tk-8.5.2-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 02:02:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bengt-Erik Soderstrom 2008-06-29 05:36:57 EDT
Description of problem:

See below my yum update output. It seems that some deps are missing which will
inhibit the update process. One week ago it was quite OK.

Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package kdelibs-devel.i386 6:4.0.5-4.fc9 set to be updated
---> Package libertas-usb8388-firmware.noarch 2:5.110.22.p14-1.fc9 set to be updated
---> Package spamassassin.i386 0:3.2.5-1.fc9 set to be updated
---> Package maven-scm.i386 0:1.0-0.2.b3.1jpp.4.fc9 set to be updated
---> Package kdelibs-common.i386 6:4.0.5-4.fc9 set to be updated
---> Package kdelibs.i386 6:4.0.5-4.fc9 set to be updated
---> Package policycoreutils-gui.i386 0:2.0.49-7.fc9 set to be updated
---> Package tcl.i386 1:8.5.2-2.fc9 set to be updated
---> Package ypbind.i386 3:1.20.4-6.fc9 set to be updated
---> Package fetchmail.i386 0:6.3.8-7.fc9 set to be updated
--> Processing Dependency: tcl = 1:8.5.1 for package: tk
---> Package patch.i386 0:2.5.4-34.fc9 set to be updated
---> Package policycoreutils.i386 0:2.0.49-7.fc9 set to be updated
---> Package maven-scm-test.i386 0:1.0-0.2.b3.1jpp.4.fc9 set to be updated
--> Finished Dependency Resolution
1:tk-8.5.1-4.fc9.i386 from installed has depsolving problems
  --> Missing Dependency: tcl = 1:8.5.1 is needed by package
1:tk-8.5.1-4.fc9.i386 (installed)
Error: Missing Dependency: tcl = 1:8.5.1 is needed by package
1:tk-8.5.1-4.fc9.i386 (installed)







Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. sudo yum update
2. See results above
3.
  
Actual results: See results above


Expected results: Dependencies resolved, update performed without errors


Additional info:
Comment 1 Doug Maxey 2008-06-29 15:31:44 EDT
This occurs across all of i?86, x86_64, and ppc
Comment 2 Doug Maxey 2008-06-29 15:35:06 EDT
--exclude="tcl tcl-devel" will allow the update to proceed.
Comment 3 Bengt-Erik Soderstrom 2008-06-30 02:02:59 EDT
With the release of tk-8.5.2-1.fc9, this bug is resolved
Comment 4 Marcela Mašláňová 2008-06-30 04:15:16 EDT
*** Bug 453240 has been marked as a duplicate of this bug. ***
Comment 5 Marcela Mašláňová 2008-06-30 04:15:23 EDT
*** Bug 453310 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.